This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254253 - 3.5 rhevh adding to 3.5 clstr on 3.6 engine fails - KeyError: 'getpwnam(): name not found: ovirt-vmconsole'
3.5 rhevh adding to 3.5 clstr on 3.6 engine fails - KeyError: 'getpwnam(): na...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity urgent
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Francesco Romani
Nikolai Sednev
: Regression, Triaged
: 1258733 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 09:58 EDT by Jiri Belka
Modified: 2016-04-19 21:38 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:38:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
host deploy log (243.99 KB, text/plain)
2015-08-17 09:58 EDT, Jiri Belka
no flags Details
engine.log (183.41 KB, text/plain)
2015-08-17 09:59 EDT, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 42534 master MERGED core: sercon: enable on hosts clusterLevel >= 3.6 Never
oVirt gerrit 45308 master ABANDONED frontend: sercon: enable only on 3.6 clusters Never
oVirt gerrit 45338 master ABANDONED restapi: sercon: enable only on 3.6 clusters Never
oVirt gerrit 45393 ovirt-engine-3.6 MERGED core: sercon: enable on hosts clusterLevel >= 3.6 Never

  None (edit)
Description Jiri Belka 2015-08-17 09:58:31 EDT
Created attachment 1063865 [details]
host deploy log

Description of problem:

3.5 rhevh adding to 3.5 clstr on 3.6 engine fails - KeyError: 'getpwnam(): name not found: ovirt-vmconsole'

serial console is 3.6 feature, this should not be propagated to hosts in 3.5 cluster level.

2015-08-17 13:43:25 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:218 DIALOG:SEND       ### Please input serial console certificate chain that matches certificate request, top is issuer
2015-08-17 13:43:25 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:218 DIALOG:SEND       ###
2015-08-17 13:43:25 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:218 DIALOG:SEND       ### Response is VALUE VMCONSOLE_CERTIFICATE=type:value or ABORT VMCONSOLE_CERTIFICATE
2015-08-17 13:43:27 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:218 DIALOG:RECEIVE    VALUE VMCONSOLE_CERTIFICATE=str:ssh-rsa-cert-v01@openssh.com AAAAHHNzaC1yc2EtY2VydC12MDFAb3BlbnNzaC5jb20AAAAgxY6hhEwu2KxVOlfwKBpkT1Q0vU94ryEycf/xlU0xQJkAAAADAQABAAABAQC9cuBjXuMGSbTuxe2qjluCeLLNQWG+yuIyD9BvE4S/Mgn5Fb2awhOX2rpFUhH+12S4KdagyaYS0gqAVPgR9WH6pm2pLw+aac0DdtXLkOdwoKo2JRWezvcaSGQd/UszRmZbIbOTSJiuXbWl79VAe9KV7sBxdi0tA+B4hSazzZnkIOUi2t0uc5hmDm2JIUzGI1JN6UB7JMVDgOwRruBOCLVSeSFm7rQZqKuagec4QwF9t3+cMM1CLr9v0pyha7QTeaWq+WziB+qrG13hmS52uRrHDJgQjZyH8uH7JkszvYRbdJw+Hgp/3b6XQZyVMiStThMdYbmZlEv3yFTZGKYKYQtdAAAAAAAAAAAAAAACAAAAKmRlbGwtcjIxMGlpLTEzLnJoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbQAAAC4AAAAqZGVsbC1yMjEwaWktMTMucmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tAAAAAFXR1u8AAAAAXzfmfwAAAAAAAAAAAAAAAAAAARcAAAAHc3NoLXJzYQAAAAMBAAEAAAEBALtl6jqOBF3jVYbM8vB8SyFkHAbdfg+IEPPl7LI5jn7CtAdQ4TdDQs+P3nCzqpyrg2DZMmjSKUbq/gwXqbKxFZ2FEFsz8DoUBJgZ0kuXz0WHCUVy5+yXQPnaM5t/YqFWF+/nL+mO4eD6AQ/HTsfVs4NyTsYY3r8rL+f3DsgH6HuOAgLkmGPwOFttbRuQ4ltcI1ddcfahFIRMU8+jV4p9kxGMZOwGrvHJRAmfwadYZjY3HZrACT2KF2bQz5IOlxLH01aALqCU+aqt9P9axTjkfR3Bq9MpvcZzPn/R5d9wTfIofIvKyJklhkvow1cn2cG1S538EVPtqRFcLN1SeLqCiAsAAAEPAAAAB3NzaC1yc2EAAAEAq+pnUk8LxosQGtG0/MRO83IjZUxTLTRzOEygADffF4h+q5RBGJeTjdMPxGvLrJSYF3B8XprNzzssRLXqRmdqUPSHiBTTewEtIFYppAuklSVK7F70BHBONWivUDQY92kdgte9sCFD4upCL3jXUHzvT3ibUQItqXzVNo0Ywqngvvw5n6Gs3Puc74kEJOkD/kqz/h+uaS6u8LgeDCOohb1SvWZsWjHrAWrVfWJ5Rb0TZjTMl0PzXNr9pdtlWNoWO6zJrCjCOSsfAzmmXlyCtfsCLkLzviUBC6SfclW7Q+wP/polbHDB8ngtlgDE7tAvHVjRkH9a2Wk07EBEoQQt+K/Vdg== /etc/pki/ovirt-engine/certs/dell-r210ii-13.rhev.lab.eng.brq.redhat.com-ssh.pub
2015-08-17 13:43:27 DEBUG otopi.transaction transaction._prepare:80 preparing 'File transaction for '/etc/pki/ovirt-vmconsole/ca.pub''
2015-08-17 13:43:27 DEBUG otopi.filetransaction filetransaction.prepare:197 file '/etc/pki/ovirt-vmconsole/ca.pub' missing
2015-08-17 13:43:28 DEBUG otopi.transaction transaction._prepare:80 preparing 'File transaction for '/etc/pki/ovirt-vmconsole/host-ssh_host_rsa-cert.pub''
2015-08-17 13:43:28 DEBUG otopi.filetransaction filetransaction.prepare:197 file '/etc/pki/ovirt-vmconsole/host-ssh_host_rsa-cert.pub' missing
2015-08-17 13:43:28 DEBUG otopi.context context._executeMethod:155 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-bxESi9rJvc/pythonlib/otopi/context.py", line 145, in _executeMethod
    method['method']()
  File "/tmp/ovirt-bxESi9rJvc/otopi-plugins/ovirt-host-deploy/sercon/pki.py", line 210, in _misc
    otopicons.CoreEnv.MODIFIED_FILES
  File "/tmp/ovirt-bxESi9rJvc/pythonlib/otopi/filetransaction.py", line 176, in __init__
    self._owner, self._group = pwd.getpwnam(owner)[2:4]
KeyError: 'getpwnam(): name not found: ovirt-vmconsole'
2015-08-17 13:43:28 ERROR otopi.context context._executeMethod:164 Failed to execute stage 'Misc configuration': 'getpwnam(): name not found: ovirt-vmconsole'

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Hypervisor release 6.6 (20150603.0.el6ev)
3.6.0-9 d/s engine

How reproducible:
100%

Steps to Reproduce:
1. take 3.5 rhevh
2. add into 3.6 d/s engine - 3.5 clstr level
3.

Actual results:
failure as above

Expected results:
should work, clstr level should be compatible with 3.5 rhevh/hosts

Additional info:
Comment 1 Jiri Belka 2015-08-17 09:59:27 EDT
Created attachment 1063866 [details]
engine.log
Comment 2 Jiri Belka 2015-08-18 04:35:58 EDT
wrkaround - groupadd ovirt-vmconsole / useradd ovirt-vmconsole...
Comment 3 Oved Ourfali 2015-08-24 02:12:47 EDT
ovirt-vmconsole is virt.
Comment 4 Francesco Romani 2015-08-26 05:39:42 EDT
http://gerrit.ovirt.org/42534 is the right approach. Moving to POST
Comment 5 Francesco Romani 2015-09-07 08:13:56 EDT
*** Bug 1258733 has been marked as a duplicate of this bug. ***
Comment 6 Nikolai Sednev 2015-09-07 09:45:33 EDT
Works for me on these components:
ovirt-host-deploy-java-1.4.0-0.0.5.master.el6ev.noarch
qemu-guest-agent-0.12.1.2-2.479.el6.x86_64
ovirt-host-deploy-1.4.0-0.0.5.master.el6ev.noarch
ovirt-vmconsole-proxy-1.0.0-0.0.1.master.el6ev.noarch
rhevm-3.6.0-0.13.master.el6.noarch
ovirt-engine-extension-aaa-jdbc-0.0.0-6.el6ev.noarch
ovirt-vmconsole-1.0.0-0.0.1.master.el6ev.noarch
[root@nsednev-rhevm-smoketests-3-5 ~]# cat /proc/version
Linux version 2.6.32-573.el6.x86_64 (mockbuild@x86-027.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-16) (GCC) ) #1 SMP Wed Jul 1 18:23:37 EDT 2015


RHEVH6.7(20150828.0.el6ev):
ovirt-node-branding-rhev-3.2.3-20.el6.noarch
vdsm-4.16.26-1.el6ev.x86_64
ovirt-node-plugin-hosted-engine-0.2.0-18.0.el6ev.noarch
sanlock-2.8-2.el6_5.x86_64
libvirt-client-0.10.2-54.el6.x86_64
mom-0.4.1-5.el6ev.noarch
ovirt-node-plugin-rhn-3.2.3-20.el6.noarch
ovirt-node-3.2.3-20.el6.noarch
qemu-kvm-rhev-0.12.1.2-2.479.el6.x86_64
ovirt-hosted-engine-setup-1.2.5.3-1.el6ev.noarch
ovirt-host-deploy-offline-1.3.0-3.el6ev.x86_64
ovirt-node-plugin-vdsm-0.2.0-26.el6ev.noarch
ovirt-node-plugin-cim-3.2.3-20.el6.noarch
ovirt-node-selinux-3.2.3-20.el6.noarch
ovirt-hosted-engine-ha-1.2.6-3.el6ev.noarch
ovirt-node-plugin-snmp-3.2.3-20.el6.noarch
ovirt-host-deploy-1.3.2-1.el6ev.noarch
Linux version 2.6.32-573.3.1.el6.x86_64 (mockbuild@x86-029.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-16) (GCC) ) #1 SMP Mon Aug 10 09:44:54 EDT 2015


I've added the RHEVH6.7 to the existing 3.6 engine to 3.5 compatible HC, while following the steps described within the bug's description.
Comment 8 Francesco Romani 2016-01-19 10:19:34 EST
This bug was found and fixed during development cycle, and should not be present in released versions. Therefore, users should never face it, and then I don't think deserves mention in documentation.

Note You need to log in before you can comment on or make changes to this bug.